Name: mxp
Version: 1.2
Release: 2
Copyright: MIT
Group: Amusements/Graphics
Summary: An X based Mandelbrot set generator and explorer.
Source: ftp://metalab.unc.edu/pub/Linux/apps/math/fractals/mxp-%{version}.tar.gz 
Patch: mxp-1.2-imake.patch
Patch1: mxp-glibc.patch
Patch2: mxp-1.2-Makefile.patch
BuildRoot: /var/tmp/mxp-root

%description
The mxp (Mandelbrot explorer) program is an X Window System
application for computing and exploring Mandelbrot sets.  Mxp
supports zoom/un-zoom, dynamic resizing of drawing windows, setup
save/load, asynchronous image generation, GIF outputs, animation,
nine color schemes, color rotation, color change options, and
detailed statistics.

Install the mxp package if you need a Mandelbrot set generator for
the X Window System.

%prep
%setup -q -n mxp
%patch -p1
%patch2 -p1 -b .orig

%build
make -f Makefile.noimake

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
make -f Makefile.noimake BINDIR=$RPM_BUILD_ROOT%{_prefix}/X11R6/bin install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/mxp.desktop <<EOF
[Desktop Entry]
Name=mxp
Type=Application
Description=application for computing and exploring Mandelbrot sets
Exec=mxp
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_prefix}/X11R6/bin/mxp
%config /etc/X11/applnk/Graphics/mxp.desktop

%changelog
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- updated to 1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- using the noimake Makefile since it's a bit easier to fix onthe surface for
  the installation routine

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- updated to 1.1a
- updated source location
- added applnk

* Tue Jan 11 2000 Michael K. Johnson <johnsonm@redhat.com>
- rebuilt for powertools

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated the source url

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
